import React from 'react'
import { connect } from 'react-redux'
import { TreeViewComponent } from '@syncfusion/ej2-react-navigations';
import { store, Click } from '../index'
import '../../node_modules/@syncfusion/ej2-react-navigations/styles/material.css';
import '../../node_modules/@syncfusion/ej2-base/styles/material.css';
import '../../node_modules/@syncfusion/ej2-inputs/styles/material.css';
import '../../node_modules/@syncfusion/ej2-buttons/styles/material.css';

export class DynamicTree extends React.Component {
    constructor(props) {
        super(props);
        this.treeDataSource = [];
        this.fields = { dataSource: this.treeDataSource, id: 'id', text: 'name', hasChildren: 'hasChild', htmlAttributes: 'hasAttribute'  };
    }

    render() {
        const loadTree = this.props.loadTree;
        return (
            <div className="app">
                <button onClick={loadTree}>Click Me to load treeview dataSource</button>
                <TreeViewComponent id="tree" fields={this.fields} ref={(tree) => { this.treeObj = tree }}   ></TreeViewComponent>
            </div>
        );
    }
}

const stateToProps = state => {
    return {
        loadTree: function () {
            store.dispatch(Click());
            var tree = document.getElementById("tree").ej2_instances[0];
            tree.fields.dataSource=store.getState();
            tree.dataBind();
            }
        }
    }
DynamicTree = connect(stateToProps)(DynamicTree)
export default DynamicTree
